Page MenuHomePhabricator

New message inclusion syntax strips <span> with more than one class
Closed, ResolvedPublic

Description

We are now using <span> elements to do some of the message formatting in fundraising banners, as this was agreed to be safe. A span with a single class works fine. However adding any more classes causes the span tag to be stripped out when the message is included in another banner.

For example:

We can probably work around this if needed, but I don't see why multiple classes shouldn't be allowed.

Details

Related Gerrit Patches:
mediawiki/extensions/CentralNotice : masterAllow multiple classes on a tag in a banner message

Event Timeline

Pcoombe created this task.Feb 14 2019, 3:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2019, 3:16 PM

Change 494404 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/CentralNotice@master] Allow multiple classes on a tag in a banner message

https://gerrit.wikimedia.org/r/494404

Ejegg claimed this task.Mar 5 2019, 3:30 AM
Ejegg moved this task from Backlog to Review on the Fundraising Sprint Da Vinci Coder board.

Change 494404 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] Allow multiple classes on a tag in a banner message

https://gerrit.wikimedia.org/r/494404

@Pcoombe, this should be live on production now... Can you confirm that it's working? Thanks much!!!!

Pcoombe closed this task as Resolved.May 21 2019, 2:35 PM

Looks good, thanks Andy!